<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: comments_accept_admin.php
| Author: bartek124
| E-Mail: bartek124@php-fusion.pl
| Web: http://bartek124.php-fusion.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("CAP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."comments_accept_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."comments_accept_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."comments_accept_panel/locale/English.php";
}

if(isset($_GET['comment_id']) && !isnum($_GET['comment_id'])) { redirect(FUSION_SELF.$aidlink."&mes=err1"); }

if(isset($_GET['mes'])) {
	if($_GET['mes'] == "err1") {
		echo "<div class='admin-message'>".$locale['cap_mes1']."</div>";
	} elseif ($_GET['mes'] == "delok") {
		echo "<div class='admin-message'>".$locale['cap_mes2']."</div>";
	} elseif ($_GET['mes'] == "acceptok") {
		echo "<div class='admin-message'>".$locale['cap_mes3']."</div>";
	} elseif ($_GET['mes'] == "editok") {
		echo "<div class='admin-message'>".$locale['cap_mes4']."</div>";
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
}

if(isset($_GET['rowstart']) && isnum($_GET['rowstart'])) { $rowstart = $_GET['rowstart']; } else { $rowstart = 0;}

if(checkrights("C") && (isset($_GET['action']) && $_GET['action'] == "delete") && isset($_GET['comment_id'])) {
	$result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_id='".$_GET['comment_id']."'");
	redirect(FUSION_SELF.$aidlink."&mes=delok");
} elseif ((isset($_GET['action']) && $_GET['action'] == "accept") && isset($_GET['comment_id'])) {
	$result = dbquery("UPDATE ".DB_COMMENTS." SET comment_show='1' WHERE comment_id='".$_GET['comment_id']."'");
	redirect(FUSION_SELF.$aidlink."&mes=acceptok");
} elseif(checkrights("C") && (isset($_GET['action']) && $_GET['action'] == "edit") && isset($_GET['comment_id'])) {
	if(isset($_POST['edit_comment'])) {
		$comment_message = trim(stripinput(censorwords($_POST['comment_message'])));
		$result = dbquery("UPDATE ".DB_COMMENTS." SET comment_message='".$comment_message."' WHERE comment_id='".$_GET['comment_id']."'");
		redirect(FUSION_SELF.$aidlink."&mes=editok");
	}
	require_once INCLUDES."bbcode_include.php";
	
	$data = dbarray(dbquery("SELECT comment_message FROM ".DB_COMMENTS." WHERE comment_id='".$_GET['comment_id']."'"));
	
	opentable($locale['cap_edit1']);
	echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."&amp;action=edit&amp;comment_id=".$_GET['comment_id']."'>\n";
	echo "<div align='center' class='tbl'>\n";
	echo "<textarea name='comment_message' cols='70' rows='6' class='textbox' style='width:360px'>".$data['comment_message']."</textarea><br />\n";
	echo display_bbcodes("360px", "comment_message")."<br />\n";
	echo "<input type='submit' name='edit_comment' value='".$locale['cap_edit2']."' class='button' />\n";
	echo "</div>\n</form>\n";
	closetable();
}

$result = dbquery(
		"SELECT tcm.*,user_name FROM ".DB_COMMENTS." tcm
		LEFT JOIN ".DB_USERS." tcu ON tcm.comment_name=tcu.user_id
		WHERE comment_show='0'
		ORDER BY comment_datestamp ASC LIMIT ".$rowstart.",10"
	);
$i = $rowstart+1;
$count = dbcount("(comment_id)", DB_COMMENTS, "comment_show='0'");

opentable($locale['cap_list1']);
if(dbrows($result) != 0) {
	while ($data = dbarray($result)) {
		if($data['comment_type'] == "N") {
			$link = "<a href='".BASEDIR."news.php?readmore=".$data['comment_item_id']."' style='font-weight:bold;'>".$locale['cap_type2']."</a>";
		} elseif ($data['comment_type'] == "P") {
			$link = "<a href='".BASEDIR."photogallery.php?photo_id=".$data['comment_item_id']."' style='font-weight:bold;'>".$locale['cap_type3']."</a>";
		}elseif ($data['comment_type'] == "A") {
			$link = "<a href='".BASEDIR."articles.php?article_id=".$data['comment_item_id']."' style='font-weight:bold;'>".$locale['cap_type4']."</a>";
		}elseif ($data['comment_type'] == "C") {
			$link = "<a href='".BASEDIR."viewpage.php?page_id=".$data['comment_item_id']."' style='font-weight:bold;'>".$locale['cap_type5']."</a>";
		}
		
		echo "<div class='tbl2'>\n";
		echo "<div style='float:right' class='comment_actions'>";
		if ((iADMIN && checkrights("C")) || (iMEMBER && $data['comment_name'] == $userdata['user_id'] && isset($data['user_name']))) {
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;comment_id=".$data['comment_id']."'>".$locale['cap_list2']."</a> |\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;comment_id=".$data['comment_id']."'>".$locale['cap_list3']."</a> |\n";
		}
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=accept&amp;comment_id=".$data['comment_id']."'>".$locale['cap_list4']."</a>"; 
		echo "\n</div>\n";
				
		echo "#".$i." | ";
		echo $locale['cap_type1'].$link." | ";
		if ($data['user_name']) {
			echo "<span class='comment-name'><a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."'>".$data['user_name']."</a></span>\n";
		} else {
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n";
		}
		echo "<span class='small'>".$locale['cap_list5'].showdate("longdate", $data['comment_datestamp'])."</span>\n";
		echo "</div>\n<div class='tbl1 comment_message'><!--comment_message-->".nl2br(parseubb(parsesmileys($data['comment_message'])))."</div>\n";
		$i++;
	}
	
	if($count > 10) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,10,$count,3, FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
	
} else {
	echo "<div align='center' style='padding:10px;0px;10px;0px;'>".$locale['cap_list6']."</div>";
}
closetable();

require_once THEMES."templates/footer.php";
?>