<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: bartek124
| E-Mail: bartek124@php-fusion.pl
| Web: http://bartek124.php-fusion.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."comments_accept_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."comments_accept_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."comments_accept_panel/locale/English.php";
}

$inf_title = $locale['cap_title'];
$inf_description = $locale['cap_desc'];
$inf_version = "1.0";
$inf_developer = "bartek124";
$inf_email = "bartek124@php-fusion.pl";
$inf_weburl = "http://bartek124.php-fusion.pl";

$inf_folder = "comments_accept_panel";

$inf_adminpanel[1] = array(
	"title" => $locale['cap_admin1'],
	"image" => "",
	"panel" => "comments_accept_admin.php",
	"rights" => "CAP"
);

if(isset($_POST['infuse'])) {
	$inf_result = dbquery("ALTER TABLE ".DB_COMMENTS." ADD comment_show TINYINT(1) UNSIGNED DEFAULT '1' NOT NULL AFTER comment_ip");
} elseif(isset($_GET['defuse'])) {
	$inf_result = dbquery("ALTER TABLE ".DB_COMMENTS." DROP comment_show");
}
?>